<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.1</TargetFramework>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <UserSecretsId>aa5d859c-e942-4964-9437-3587e8faaa42</UserSecretsId>
    <ServerGarbageCollection>false</ServerGarbageCollection>
    <ConcurrentGarbageCollection>false</ConcurrentGarbageCollection>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Bailun.ServiceFabric.Exceptionless" Version="1.1.2" />
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.0.2105168" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="2.1.10" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\AutoTurnOver.Models\AutoTurnOver.Models.csproj" />
    <ProjectReference Include="..\AutoTurnOver.Services\AutoTurnOver.Services.csproj" />
    <ProjectReference Include="..\AutoTurnOver.Utility\AutoTurnOver.Utility.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Areas\AutoTurn\Data\" />
    <Folder Include="Areas\AutoTurn\Models\" />
    <Folder Include="Areas\AutoTurn\Views\Shared\" />
    <Folder Include="wwwroot\js\" />
    <Folder Include="wwwroot\css\" />
    <Folder Include="wwwroot\img\" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties appsettings_1json__JsonSchema="" /></VisualStudio></ProjectExtensions>

</Project>
